﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TeeChartSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.tChart1.Axes.Bottom.Increment = 120;

            for (int i = 0; i < 601; i++)
            {
                line1.Add(i % 120, DateTime.Now.AddMilliseconds(i).ToString("yyyy-MM-dd\nHH:mm:ss.fff"));
            }
           
        }

        private void btnZoomIn_Click(object sender, EventArgs e)
        {
            this.tChart1.Axes.Bottom.Increment = 1;
            this.tChart1.Zoom.ZoomPercent(110);
            this.Text = "AFTER ZOOM IN";
        }

        private void btnZoomOut_Click(object sender, EventArgs e)
        {
            this.tChart1.Axes.Bottom.Increment = 1;
            this.tChart1.Zoom.ZoomPercent(90);
        }

        private void btnReset_Click(object sender, EventArgs e)
        {
            this.tChart1.Axes.Bottom.Increment = 120;
            this.tChart1.Zoom.Undo();
            this.Text = "ORIGINAL CHART";
        }
    }
}
